Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:3.3(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 27956

Description

Hi all,

I wanted to do a test-drive of the 3.3 development version of QGIS-server on my Win10 laptop.

The 3.2 release runs smoothly on the same machine (Apache 2.4 x64, mod_fcgid etc).

I installed 3.3 through OSGeo4W64 (QGIS-version 3.3.0-97, including necessary dependencies) after completely removing older versions

of QGIS.

With same setting (except of pathname-changes), I sent a WMS-request, but stumbled upon a 500-error in Firefox.

This is my conf-setting in Apache (2.4 x64 with mod_fcgid, compiled with VC15):

@FcgidInitialEnv PATH

"C:\OSGeo4W64\bin;C:\OSGeo4W64\apps\qgis-dev\bin;C:\OSGeo4W64\apps\Qt5\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem" 

OWS\System32\Wbem" 

FcgidInitialEnv QGIS_AUTH_DB_DIR_PATH "C:\OSGeo4W64\apps\qgis-dev\resources" 

FcgidInitialEnv PYTHONHOME "C:\OSGeo4W64\apps\Python37" 

FcgidInitialEnv QGIS_PREFIX_PATH "C:\OSGeo4W64\apps\qgis-dev" 

FcgidInitialEnv QT_PLUGIN_PATH "C:\OSGeo4W64\apps\qgis-dev\qtplugins;C:\OSGeo4W64\apps\qt5\plugins"

<Directory "c:/OSGeo4W64/apps/qgis-dev/bin">

  AddHandler fcgid-script .exe

  AllowOverride None

  Options ExecCGI

  Require all granted

</Directory>@

I tried to run qgis_mapserv.fcgi.exe from the commandline, but immediately an application error without any further info (except from the

number 0xc00000142) popped up.

I removed the development version from my laptop and reinstalled version 3.2 again. Did the same WMS GetCapabilities request which

shows the expected result nicely.

Is this a bug or did I forget something to install/update?

History

#1 - 2018-10-17 05:23 PM - Giovanni Manghi

- Status changed from Open to Feedback

2025-04-27 1/2



Not sure if it still works as 2.*, but if is the case I remember that installing both qgis server master and 2.* on Windows caused this kind of problem.

#2 - 2018-10-18 11:14 AM - Koen Volleberg

That's what I thought, so I rremoved QGis 2.18 from my machine. Problem still exists.

After complete removal of QGis 2.18, I also completely removed 3.3 and all OSGeo dependencies. In fact: I completely removed all OSGeo features.

Then a clean install of the 3.3 branch, but with same error.

#3 - 2018-10-18 01:58 PM - Giovanni Manghi

- Status changed from Feedback to Open
